Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class PolicyControlledObjectImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
              edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl

All Implemented Interfaces:
  Localizable, PolicyControlledObject, Serializable

Direct Known Subclasses:
  GroupImpl, ProjectInstanceImpl, ServerInstanceImpl

    public class PolicyControlledObjectImpl

extends WrappedProtegeInstanceWithPropsImpl
implements PolicyControlledObject, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `PolicyControlledObjectImpl(MetaProjectImpl mp, Instance pi)`
`protected` | `PolicyControlledObjectImpl(MetaProjectImpl mp, Instance pi, MetaProjectImpl.ClsEnum cls)`

Method Summary
`void` | `addAllowedGroupOperations(GroupOperation groupOperation)`
`void` | `addInCollection(PolicyControlledObjectCollection collection)`
`boolean` | `equals(Object o)`
`Set<GroupOperation>` | `getAllowedGroupOperations()`
`String` | `getDescription()`
`Set<PolicyControlledObjectCollection>` | `getInCollection()`
`String` | `getName()`
`int` | `hashCode()`
`boolean` | `isPolicyModifiableByClient()`
`void` | `removeInCollection(PolicyControlledObjectCollection collection)`
`void` | `setAllowedGroupOperations(Collection<GroupOperation> groupOperations)`
`void` | `setDescription(String description)`
`void` | `setInCollection(Set<PolicyControlledObjectCollection> collections)`
`void` | `setName(String name)`
`void` | `setPolicyModifiableByClient(boolean modifiable)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
`addPropertyValue, addPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesAsString, removePropertyValue, removePropertyValue, setPropertyValue, setPropertyValues`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.PolicyControlledObject
`addPropertyValue, addPropertyValue, getMetaProject, getPropertyValue, getPropertyValues, getPropertyValuesAsString, getProtegeInstance, removePropertyValue, removePropertyValue, setPropertyValues`

Constructor Detail

### PolicyControlledObjectImpl

    protected PolicyControlledObjectImpl(MetaProjectImpl mp,
                                         Instance pi)

### PolicyControlledObjectImpl

    protected PolicyControlledObjectImpl(MetaProjectImpl mp,
                                         Instance pi,
                                         MetaProjectImpl.ClsEnum cls)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `PolicyControlledObject`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `PolicyControlledObject`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `PolicyControlledObject`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `PolicyControlledObject`

### isPolicyModifiableByClient

    public boolean isPolicyModifiableByClient()

  Specified by:
    `isPolicyModifiableByClient` in interface `PolicyControlledObject`

### setPolicyModifiableByClient

    public void setPolicyModifiableByClient(boolean modifiable)

  Specified by:
    `setPolicyModifiableByClient` in interface `PolicyControlledObject`

### setAllowedGroupOperations

    public void setAllowedGroupOperations(Collection<GroupOperation> groupOperations)

  Specified by:
    `setAllowedGroupOperations` in interface `PolicyControlledObject`

### addAllowedGroupOperations

    public void addAllowedGroupOperations(GroupOperation groupOperation)

  Specified by:
    `addAllowedGroupOperations` in interface `PolicyControlledObject`

### getAllowedGroupOperations

    public Set<GroupOperation> getAllowedGroupOperations()

  Specified by:
    `getAllowedGroupOperations` in interface `PolicyControlledObject`

### toString

    public String toString()

  Overrides:
    `toString` in class `WrappedProtegeInstanceImpl`

### getInCollection

    public Set<PolicyControlledObjectCollection> getInCollection()

  Specified by:
    `getInCollection` in interface `PolicyControlledObject`

### addInCollection

    public void addInCollection(PolicyControlledObjectCollection collection)

  Specified by:
    `addInCollection` in interface `PolicyControlledObject`

### removeInCollection

    public void removeInCollection(PolicyControlledObjectCollection collection)

  Specified by:
    `removeInCollection` in interface `PolicyControlledObject`

### setInCollection

    public void setInCollection(Set<PolicyControlledObjectCollection> collections)

  Specified by:
    `setInCollection` in interface `PolicyControlledObject`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `WrappedProtegeInstanceImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `WrappedProtegeInstanceImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.